Updates a sender in project.
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}
Example body request to update a sender.
curl -i -X PATCH \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"details": {
"displayName": "Test name update",
"description": "Test description update",
"email": null,
"address": null,
"websiteTwo": "https://example-2.com",
"about": "Test about update",
"photoUrl": "https://example.com/photos/2.png"
}
}'Updated sender in project
Region sender is provisioned in.
Region sender store the data in Meta.
Business manager.
Conversation API app regions the sender can be used for.
The current state of the sender.
If set, the details of the Conversation API App the sender is connected to.
Current quality rating of the sender.
Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.
Provider for phone number.
This property is deprecated. Use AccountDto.businessDailyLimit instead. Current daily message limit of the sender.
Please use get account endpoint for this information.
Response when successfully update a sender.
{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "state": "ACTIVE", "changes": { "status": "IN_PROGRESS", "details": { … } }, "details": { "displayName": "Test name", "description": "Test description", "vertical": "PROFESSIONAL_SERVICES", "email": "test@test.com", "address": "Test address", "about": "Test about", "websiteOne": "https://example-1.com", "photoUrl": "https://example.com/photos/1.png" }, "created": "2023-01-19T13:11:08.204Z", "modified": "2023-01-19T13:11:08.204Z", "region": "EU", "metaLocalStorage": "DE", "conversationApiApp": "4CF9CE97504C4A468F4610919D17ECC1", "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU", "channelStatus": "ACTIVE" }, "maxTps": 10, "qualityRating": "GREEN", "bearerToken": "aaaaAAAA.bbbbBBBB.ccccCCCC", "cloudApi": true, "countryCode": "48", "phoneNumber": "777777777", "numberProvider": "CUSTOMER", "businessManager": "SINCH_UK", "compatibleRegions": [ "eu", "us" ] }